component: Ptp
proto_imports:
  - vehicle/ptp_monitor/diagnostics/ptp_diagnostics.proto
metric: PtpMetric
namespace: zoox::ptp
faults:
  - id: 1
    name: NoSync
    severity: ERROR
    description: PTP is not synchronized.
    triggers_nogo: true
  - id: 2
    name: ClockOffsetHigh
    severity: ERROR
    description: PTP offset from server is too high.
    triggers_nogo: true
  - id: 3
    name: SyncTimeout
    severity: ERROR
    description: PTP Sync Timed out. Clocks are not synced.
    triggers_nogo: true
  - id: 4
    name: PhcOffsetHigh
    severity: ERROR
    description: Offset between system clock and network clock is too high.
    triggers_nogo: true
  - id: 5
    name: PhcFreqError
    severity: ERROR
    description: Network card clock fequency adjustment is too high.
    triggers_nogo: true
  - id: 6
    name: ClockFreqError
    severity: ERROR
    description: Local clock frequency adjustment is too high.
    triggers_nogo: true
